<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */






class KurseRaumSight extends KurseSight
{
  public $raumnr;

  
  public function getData()
  {
    
    
    
    
    $this->dataary = $this->dbwkurse->getKurseByRaumNR($this->raumnr);
  }

  
  public function getTitle()
  {
    return '';
  }

  public function getTableRow($rowindex = -1)
  {
    $str = KurseSight::getTableRow($rowindex);
    $str = str_replace('{setknr}', $this->dataary[$rowindex]->id, $str);

    return str_replace('{setraumnr}', (isset($this->dataary[$rowindex]->kursort->id)) ? $this->dataary[$rowindex]->kursort->id : '', $str);
  }
}